Issue 14986

Summary: OOo generates weird log messages when accessing a Samba share
Product: General Reporter: nomad128 <fgasper>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: andreas.bille, issues, kozodaevroman, kpalagin
Version: OOo 1.1 Beta2   
Target Milestone: AOO Later   
Hardware: PC   
OS: Windows 2000   
See Also: https://bz.apache.org/ooo/show_bug.cgi?id=128049
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description nomad128 2003-05-27 22:42:09 UTC
I have a Samba share running on a FreeBSD box. I'm pretty new to Samba, but
everything seems to be up and running properly. However, when I open up any OOo
file from the samba share, I get a slew of these log messages to my serial console:

-------------------
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/servic
e.c:make_connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
May 27 16:40:42 fgmusic smbd[284]: [2003/05/27 16:40:42, 0] smbd/service.c:make_
connection(252)
May 27 16:40:42 fgmusic smbd[284]:   felipe (10.0.0.254) couldn't find service p
ubli
--------------

The service is, in fact, named "public". OOo is the only app for which I get
this error; PDF's and graphic images (opening w/ Mozilla 1.3.1) don't do this. I
can edit and save the files just fine (saving also creates these log messages),
but it's annoying and a little unsettling to have this happening.
Comment 1 Unknown 2003-06-05 16:43:16 UTC
We're seeing the same issue here as well. It simply chops off the last
character of the share's name.

We're using OOo 1.0.3 on Windows.
Comment 2 thorsten.martens 2003-07-02 11:08:40 UTC
There has been a problem with windows peer to peer connections and
"invalid" filenames which has already been fixed. Please check if this
problem still occurs in a more recent build like a OO 1.1rc.
Comment 3 nomad128 2003-07-02 15:19:39 UTC
1.1rc? Has this been released? I can't find it anywhere. I can confirm
that this behavior occurs with 1.1b2.

Also, I've noticed that this same behavior happens when opening files
on a Samba share with gvim for Windows 6.2.
Comment 4 Olaf Felka 2003-07-16 10:40:50 UTC
Any results for OOo 1.1 RC?
Comment 5 nomad128 2003-07-16 14:23:04 UTC
Same thing...:-(
Comment 6 thorsten.martens 2003-07-28 13:50:04 UTC
.
Comment 7 thorsten.martens 2003-09-18 11:16:17 UTC
TM->ABI: KSO mentioned, that you might have an idea. Please have a
look, thanks.
Comment 8 thorsten.martens 2003-10-15 11:55:14 UTC
TM->ABI: Please have a look.
Comment 9 andreas.bille 2006-05-24 17:20:06 UTC
abi->hro: any idea about it ?
Comment 10 kpalagin 2007-03-03 12:00:19 UTC
Dear developers,
any progress with this issue?
Thanks a lot for your attention.
Comment 11 dma2002 2007-12-24 16:28:22 UTC
Well, well, well... A bug, which exists such a long time (since 2003) and is one
of the "nearly stoppers" for Samba clients, has seven votes and still "OOo
Later" target. In OOo 2.3.1 the situation hasn't changed much. Maybe this issue
isn't so important (this shows the "P4" priority), but very appreciable. It's a
pity...
Comment 12 palcons 2008-04-24 12:09:41 UTC
blocking locks = Yes
        fake oplocks = No
        locking = Yes
        oplocks = no
        level2 oplocks = no
        oplock contention limit = 2
        posix locking = Yes
        strict locking = yes


11835        1261       DENY_WRITE 0x2019f     RDWR       NONE             /
samba/share/omon   Цитата из материала.doc   Thu Apr 24 16:07:27 2008
Comment 13 palcons 2008-04-24 12:10:11 UTC
OO 2.4
samba-3.0.28,1      A free SMB and CIFS client and server for UNIX
        
        blocking locks = Yes
        fake oplocks = No
        locking = Yes
        oplocks = no
        level2 oplocks = no
        oplock contention limit = 2
        posix locking = Yes
        strict locking = yes


11835        1261       DENY_WRITE 0x2019f     RDWR       NONE             /
samba/share/omon   Цитата из материала.doc   Thu Apr 24 16:07:27 2008

Comment 14 kai.sommerfeld 2009-06-16 10:58:25 UTC
mav: Can you please take a look.
Comment 15 kpalagin 2010-07-15 15:15:10 UTC
Mikhail,
OpenOffice seems cut last character out of share name. For example I have UNC 
\\s06\workpl\a\a and if I double-click file in there Wireshark shows request to
\\s06\workp (not that L from share name is missing).
In somme cases this causes noticable delays - see
http://qa.openoffice.org/issues/show_bug.cgi?id=105283. 

Please see if this issue can be fixed for 3.4.
Thanks a lot.
WBR,KP.
Comment 16 Marcus 2017-05-20 11:29:44 UTC
Reset assigne to the default "issues@openoffice.apache.org".